EZ_WorkAreaScaleItem(3)

NAME
EZ_WorkAreaScaleItem - scale a FIG item in a workarea widget

SYNOPSIS
#include <EZ.h>

void EZ_WorkAreaScaleItem(EZ_Widget *warea, EZ_Item *item, int smode,
             float sx, float sy, int tx, int ty, int redisplay)

ARGUMENTS
warea Specifies a work area widget.

item Specifies a display item currently managed by warea.

smode Specifies 1 or 0.

sx, sy Specify the scaling factor in the x and y direction.

tx, ty Specify the translation offset.

redisplay Specify a boolean value.

DESCRIPTION

EZ_WorkAreaScaleItem scales and translates an FIG item in a workarea widget according to parameters given. If redisplay is nozero, the display will be refreshed immediately.

SEE ALSO
EZ_WorkAreaInsertItem(3),
EZ_WorkAreaDrawItemAt(3)